{
  "codeName" : "Usr04188408ChartView_Chart",
  "controlType" : "CHART",
  "coordinateSystem" : "XY",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSCHARTS/Usr04188408ChartView_Chart.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "hookEventNames" : [ "ONLOADSUCCESS", "ONCLICK" ],
  "logicName" : "Chart2",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSChartCoordinateSystems" : [ {
    "eChartsType" : "cartesian2d",
    "index" : 0,
    "name" : "[bar_0]直角坐标系[0]",
    "getPSChartGrid" : {
      "index" : 0,
      "name" : "[bar_0]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    },
    "type" : "XY",
    "id" : "0"
  } ],
  "getPSChartDataSetGroups" : [ {
    "index" : 0,
    "name" : "DEFAULT",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "id" : "0"
  } ],
  "getPSChartDataSets" : [ {
    "index" : 0,
    "name" : "bar_0-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "index" : 0,
      "name" : "TYPE",
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "FIELD9",
      "groupField" : false,
      "id" : "1"
    } ],
    "id" : "0"
  } ],
  "getPSChartGrids" : [ {
    "index" : 0,
    "name" : "[bar_0]直角坐标系[0]",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridXAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridYAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "type" : "grid",
    "id" : "0"
  } ],
  "getPSChartXAxises" : [ {
    "eChartsPos" : "xAxis",
    "eChartsType" : "category",
    "index" : 0,
    "name" : "axis_xAxis_0",
    "position" : "bottom",
    "type" : "category",
    "id" : "0"
  } ],
  "getPSChartYAxises" : [ {
    "eChartsPos" : "yAxis",
    "eChartsType" : "value",
    "index" : 0,
    "name" : "axis_yAxis_0",
    "position" : "left",
    "type" : "numeric",
    "id" : "0"
  } ],
  "getPSControlAttributes" : [ {
    "attrName" : "name",
    "attrValue" : "console.log('注入属性')",
    "name" : "logic10"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "onLoadSuccess",
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic2",
    "scriptCode" : "console.log('部件事件触发')"
  }, {
    "eventNames" : "onClick",
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic3",
    "scriptCode" : "console.log('自定义')",
    "triggerType" : "CUSTOM"
  }, {
    "eventNames" : "onClick",
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic",
    "scriptCode" : "console.log('定时器触发')",
    "timer" : 1000,
    "triggerType" : "TIMER"
  }, {
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic6",
    "scriptCode" : "console.log('项启用逻辑')",
    "triggerType" : "ITEMENABLE"
  }, {
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic7",
    "scriptCode" : "console.log('项空输入逻辑')",
    "triggerType" : "ITEMBLANK"
  }, {
    "logicTag" : "chart",
    "logicType" : "SCRIPT",
    "name" : "logic9",
    "scriptCode" : "console.log('项动态样式表')",
    "triggerType" : "ITEMDYNACLASS"
  } ],
  "getPSControlRenders" : [ {
    "layoutPanelModel" : "console.log('绘制器')",
    "name" : "logic11",
    "renderType" : "LAYOUTPANEL_MODEL"
  } ],
  "getPSDEChartDataGrid" : {
    "index" : 0,
    "id" : "0"
  },
  "getPSDEChartLegend" : {
    "index" : 0,
    "showLegend" : true,
    "id" : "0"
  },
  "getPSDEChartSerieses" : [ {
    "catalogField" : "TYPE",
    "eChartsType" : "bar",
    "index" : 0,
    "name" : "bar_0",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "TYPE" ],
      "y" : [ "FIELD9" ],
      "id" : "0"
    },
    "getPSControlLogics" : [ {
      "itemName" : "bar_0",
      "logicTag" : "chart",
      "logicType" : "SCRIPT",
      "name" : "logic5",
      "scriptCode" : "console.log('项显示逻辑')",
      "triggerType" : "ITEMVISIBLE"
    } ],
    "seriesLayoutBy" : "column",
    "seriesType" : "bar",
    "valueField" : "FIELD9",
    "enableChartDataSet" : true,
    "stack" : false
  } ],
  "getPSDEChartTitle" : {
    "index" : 0,
    "title" : "图表脚本_图表",
    "showTitle" : true,
    "id" : "0"
  },
  "readOnly" : true,
  "modelid" : "947F4A9C-8624-4A21-A83E-B0157FA6C4B2",
  "modeltype" : "PSDECHART",
  "getUserParam" : {
    "EC.color" : "[\"#5470c6\",\"#91cc75\",\"#fac858\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#5470c6\",\"#91cc75\"]"
  }
}